> ## Documentation Index
> Fetch the complete documentation index at: https://developers.criteo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /experimental/retail-media/line-items/{line-item-id}/targets

> Returns a list of targets for a given line item id



## OpenAPI

````yaml https://api.criteo.com/experimental/retailmedia/open-api-specifications.json get /experimental/retail-media/line-items/{line-item-id}/targets
openapi: 3.0.1
info:
  title: Criteo API
  description: Criteo API - RetailMedia
  version: Experimental
servers:
  - url: https://api.criteo.com
security:
  - oauth: []
tags:
  - name: Accounts
  - name: Analytics
  - name: Audience
  - name: Balance
  - name: Campaign
  - name: Catalog
  - name: Gateway
  - name: OnSiteRecommendation
  - name: ThirdPartyAccounts
paths:
  /experimental/retail-media/line-items/{line-item-id}/targets:
    get:
      tags:
        - Campaign
      summary: /experimental/retail-media/line-items/{line-item-id}/targets
      description: Returns a list of targets for a given line item id
      operationId: GetTargetsByLineItemId
      parameters:
        - name: limit
          in: query
          description: The number of elements to be returned. Defaults to 500.
          schema:
            type: integer
            format: int32
            default: 500
        - name: line-item-id
          in: path
          description: Unique identifier of the Line Item for which targets will be fetched
          required: true
          schema:
            type: string
        - name: offset
          in: query
          description: The (zero-based) starting offset in the collection. Defaults to 0.
          schema:
            type: integer
            format: int32
            default: 0
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TargetListResponseWithPageMetadata'
      security:
        - oauth:
            - RetailMedia_Campaign_Read
components:
  schemas:
    TargetListResponseWithPageMetadata:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/TargetResource'
          nullable: true
        errors:
          type: array
          items:
            $ref: '#/components/schemas/CommonProblem'
          description: Errors that occured during this call.
          nullable: true
          readOnly: true
        metadata:
          $ref: '#/components/schemas/ApiResourcesPageMetadata'
        warnings:
          type: array
          items:
            $ref: '#/components/schemas/CommonProblem'
          description: Warnings that occured during this call.
          nullable: true
          readOnly: true
      additionalProperties: false
      description: >-
        A top-level object that encapsulates a Criteo API response for several
        value objects and metadata.
    TargetResource:
      type: object
      properties:
        attributes:
          $ref: '#/components/schemas/Target'
        type:
          type: string
          description: Type of the resource.
          nullable: true
      additionalProperties: false
      description: A value resource exposed by the API.
    CommonProblem:
      type: object
      properties:
        code:
          type: string
          description: A machine-readable error code, expressed as a string value.
          nullable: true
        detail:
          type: string
          description: >-
            A human-readable explanation specific to this occurrence of the
            problem
          nullable: true
        instance:
          type: string
          description: A URI that identifies the specific occurrence of the problem.
          nullable: true
        source:
          type: object
          additionalProperties:
            type: string
          description: >-
            A machine-readable structure to reference to the exact location(s)
            causing the error(s)
          nullable: true
        stackTrace:
          type: string
          nullable: true
        title:
          type: string
          description: A short human-readable description of the problem type
          nullable: true
        traceId:
          type: string
          description: The request correlation ID this problem comes from.
          nullable: true
        traceIdentifier:
          type: string
          description: >-
            The request correlation ID this problem comes from. (deprecated, use
            traceId instead)
          nullable: true
        type:
          enum:
            - unknown
            - access-control
            - authentication
            - authorization
            - availability
            - deprecation
            - quota
            - validation
          type: string
          description: The problem's category.
          nullable: true
      description: Common problem object.
    ApiResourcesPageMetadata:
      required:
        - limit
        - offset
      type: object
      properties:
        count:
          type: integer
          description: Total number of items across all pages in the collection.
          format: int32
          nullable: true
        limit:
          type: integer
          description: The number of elements to be returned.
          format: int32
        offset:
          type: integer
          description: The (zero-based) starting offset in the collection.
          format: int32
      additionalProperties: false
      description: Offset based pagination metadata.
      nullable: true
    Target:
      type: object
      properties:
        approvalStatus:
          enum:
            - Unknown
            - Approved
            - AutoApproved
            - InReview
            - Rejected
            - AutoRejected
            - Unsubmitted
          type: string
          nullable: true
        bidMultiplier:
          type: number
          format: double
          nullable: true
        categoryTargetDetails:
          $ref: '#/components/schemas/CategoryTargetDetails'
        manualKeywordTargetDetails:
          $ref: '#/components/schemas/ManualKeywordTargetDetails'
        negative:
          type: boolean
          nullable: true
        pageTypeTargetDetails:
          $ref: '#/components/schemas/PageTypeTargetDetails'
        targetType:
          enum:
            - Unknown
            - ManualKeyword
            - PageType
            - Category
          type: string
          nullable: true
      additionalProperties: false
      description: A specific Target configured on the line item
      nullable: true
    CategoryTargetDetails:
      type: object
      properties:
        categoryId:
          type: string
          nullable: true
        includeChildren:
          type: boolean
          nullable: true
      additionalProperties: false
      description: Details on Category Targets
      nullable: true
    ManualKeywordTargetDetails:
      type: object
      properties:
        keywordInput:
          maxLength: 255
          minLength: 1
          type: string
          nullable: true
        matchType:
          enum:
            - Broad
            - Exact
          type: string
          nullable: true
      additionalProperties: false
      description: Details on Manual Keyword Targets
      nullable: true
    PageTypeTargetDetails:
      type: object
      properties:
        pageType:
          enum:
            - Unknown
            - Search
            - Home
            - Browse
            - Checkout
            - Category
            - ProductDetail
            - Confirmation
            - Merchandising
            - Deals
            - Favorites
            - SearchBar
            - CategoryMenu
            - AiAssistant
          type: string
          description: "Contract representation of pagetype Ids supplied by Inventory API.\r\nThis enum re-exposes those persisted byte IDs as typed values for target-service clients."
          nullable: true
      additionalProperties: false
      description: Details on Page Type Targets
      nullable: true
  securitySchemes:
    oauth:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://api.criteo.com/oauth2/token
          scopes: {}
        authorizationCode:
          authorizationUrl: https://api.criteo.com/oauth2
          tokenUrl: https://api.criteo.com/oauth2/token
          scopes: {}

````